(* Operatoren in arith. Ausdrcken sind +, - und * *)

type op = Plus | Minus | Mal


(* Ausdrcke sind aufgebaut aus Variablen, Zahlen und Operatoren *)

type expr = Var of string | Num of int | Op of op * expr * expr


(* Token fr Zahlen, Variablen, linke und rechte Klammer und
   Operatorsymbole *)

type token = TokNum of int | TokVar of string | 
               TokL | TokR | TokOp of op





